Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.plus.jaas
Class JAASUserPrincipal

    java.lang.Object
      org.eclipse.jetty.plus.jaas.JAASUserPrincipal

All Implemented Interfaces:
  java.security.Principal

    public class JAASUserPrincipal

extends java.lang.Object
implements java.security.Principal

JAASUserPrincipal

Implements the JAAS version of the org.eclipse.http.UserPrincipal interface.

Version:
  $Id: JAASUserPrincipal.java 4780 2009-03-17 15:36:08Z jesse $

Constructor Summary
`JAASUserPrincipal(java.lang.String name, javax.security.auth.Subject subject, javax.security.auth.login.LoginContext loginContext)`

Method Summary
`java.lang.String` | `getName()` Get the name identifying the user
`javax.security.auth.Subject` | `getSubject()` Provide access to the Subject
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Constructor Detail

### JAASUserPrincipal

    public JAASUserPrincipal(java.lang.String name,
                             javax.security.auth.Subject subject,
                             javax.security.auth.login.LoginContext loginContext)

Method Detail

### getName

    public java.lang.String getName()

  Get the name identifying the user

  Specified by:
    `getName` in interface `java.security.Principal`

### getSubject

    public javax.security.auth.Subject getSubject()

  Provide access to the Subject

  Returns:
    subject

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.